package ch14;
import javax.xml.rpc.Stub;

/**
 *  Description of the Class
 *
 *@author     mike
 *@created    January 9, 2003
 */
public class ShoppingClient {
    /**
     *  The main program for the ShoppingClient class
     *
     *@param  args  The command line arguments
     */
    public static void main(String[] args) {
        try {
            String cardnumber = "123456";
            Stub stub = createProxy();
            CreditValidatorInterface cardvalidator =
                    (CreditValidatorInterface) stub;
            boolean results = cardvalidator.validateCard(cardnumber);
            if (results) {
                System.out.println("Card was valid...");
            } else {
                System.out.println("Card was rejected!");
            }
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    private static Stub createProxy() {
        return (Stub) (new 
          MyCreditValidator_Impl().getCreditValidatorInterfacePort());
    }
}

